package cn.com.infosec.asn1.pkcs;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1EncodableVector;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.BERSequence;
import cn.com.infosec.asn1.DERObject;

public class AuthenticatedSafe extends ASN1Encodable {
   ContentInfo[] info;

   public AuthenticatedSafe(ASN1Sequence seq) {
      this.info = new ContentInfo[seq.size()];

      ContentInfo[] var3;
      for(int var2 = 0; var2 != (var3 = this.info).length; ++var2) {
         var3[var2] = ContentInfo.getInstance(seq.getObjectAt(var2));
      }

   }

   public AuthenticatedSafe(ContentInfo[] info) {
      this.info = info;
   }

   public ContentInfo[] getContentInfo() {
      return this.info;
   }

   public DERObject toASN1Object() {
      ASN1EncodableVector var1;
      var1 = new ASN1EncodableVector.<init>();

      ContentInfo[] var3;
      for(int var2 = 0; var2 != (var3 = this.info).length; ++var2) {
         var1.add(var3[var2]);
      }

      return new BERSequence(var1);
   }
}
